- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 8e0a980d-93e2-49d9-ab5d-ea94862845ae
    creation_time: 2023-02-17T12:06:39.051947Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/down.i
      input_file_hashes:
        c/loop-invgen/down.i: d487f6cb836d5c7294168f7ececc6a4515780c0860389f79570a9c0e20e7bcc0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/down.i
    file_hash: d487f6cb836d5c7294168f7ececc6a4515780c0860389f79570a9c0e20e7bcc0
    line: 29
    column: 0
    function: main
  loop_invariant:
    string: i == k &&  ( i <= n || n < 0 ) 
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 033e7035-f58c-41fe-8bdd-a4006934b281
    creation_time: 2023-02-17T12:06:39.052301Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/down.i
      input_file_hashes:
        c/loop-invgen/down.i: d487f6cb836d5c7294168f7ececc6a4515780c0860389f79570a9c0e20e7bcc0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/down.i
    file_hash: d487f6cb836d5c7294168f7ececc6a4515780c0860389f79570a9c0e20e7bcc0
    line: 34
    column: 0
    function: main
  loop_invariant:
    string: k == j || j < 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 44369c08-eb5a-4496-8b9f-c77bf6e01e5c
    creation_time: 2023-02-17T12:06:39.052484Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/down.i
      input_file_hashes:
        c/loop-invgen/down.i: d487f6cb836d5c7294168f7ececc6a4515780c0860389f79570a9c0e20e7bcc0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/down.i
    file_hash: d487f6cb836d5c7294168f7ececc6a4515780c0860389f79570a9c0e20e7bcc0
    line: 35
    column: 0
    function: main
  location_invariant:
    string: k > 0
    type: assertion
    format: C

